Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030469
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2015-07-31 10:362015-08-20 23:16
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision02b35371304f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030469: The change of the Account Tree organization is not transferred to its child records

DescriptionThe change of the Account Tree organization is not transferred to its child records
Steps To ReproduceAs group admin role:
   Go to Account Tree window and change the organization to F&B España - Región Norte to F&B España, S.A. Account Account
   Create a new record in the Element Value tab
   Go to General Ledger Report, open the From Account selector and check all the accounts are defined for F&B España, S.A. and the new account is defined for F&B España - Región Norte
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0022314 newTriage Finance In some windows the Organization can be changed and this change is not propagated to all its child records 

-  Notes
(0079251)
AtulOpenbravo (developer)
2015-08-07 13:42

Test Plan
- Login As group admin role:
- Go to Account Tree window and check that organization of existing records cannot be changed.
- Create a new record in the Account Tree.
- Check that before saving record we can select the organization as required and after saving record it gets not editable.
(0079264)
hgbot (developer)
2015-08-07 15:04

Repository: erp/devel/pi
Changeset: 02b35371304f106e87a0e5ff00077109fa4e5c8c
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Aug 07 17:02:11 2015 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/02b35371304f106e87a0e5ff00077109fa4e5c8c [^]

Fixes Issue 30469:The change of the Account Tree organization is not
transferred to its child records

Account Tree organization field is set as not updateable.

---
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0079265)
vmromanos (developer)
2015-08-07 15:05

Code review + testing OK
(0079535)
hudsonbot (developer)
2015-08-20 23:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c91718397a5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-07-31 10:36 ngarcia New Issue
2015-07-31 10:36 ngarcia Assigned To => Triage Finance
2015-07-31 10:36 ngarcia Modules => Core
2015-07-31 10:36 ngarcia Triggers an Emergency Pack => No
2015-07-31 10:37 ngarcia Issue Monitored: networkb
2015-07-31 10:41 ngarcia Relationship added related to 0022314
2015-08-07 10:20 aferraz Assigned To Triage Finance => aferraz
2015-08-07 13:40 AtulOpenbravo Status new => scheduled
2015-08-07 13:40 AtulOpenbravo Assigned To aferraz => AtulOpenbravo
2015-08-07 13:42 AtulOpenbravo Note Added: 0079251
2015-08-07 15:04 hgbot Checkin
2015-08-07 15:04 hgbot Note Added: 0079264
2015-08-07 15:04 hgbot Status scheduled => resolved
2015-08-07 15:04 hgbot Resolution open => fixed
2015-08-07 15:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/02b35371304f106e87a0e5ff00077109fa4e5c8c [^]
2015-08-07 15:05 vmromanos Review Assigned To => vmromanos
2015-08-07 15:05 vmromanos Note Added: 0079265
2015-08-07 15:05 vmromanos Status resolved => closed
2015-08-20 23:16 hudsonbot Checkin
2015-08-20 23:16 hudsonbot Note Added: 0079535


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker